Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicBorders.SplitPaneBorder

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicBorders.SplitPaneBorder

public static class BasicBorders.SplitPaneBorder
extends java.lang.Object
implements Border, UIResource

This border draws the borders around both of the contained components in the the splitter. It is a very odd border.

Field Summary
`protected java.awt.Color` | `highlight`
`protected java.awt.Color` | `shadow`

Constructor Summary
`BasicBorders.SplitPaneBorder(java.awt.Color highlight, java.awt.Color shadow)`

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### highlight

    protected java.awt.Color highlight

### shadow

    protected java.awt.Color shadow

Constructor Detail

### BasicBorders.SplitPaneBorder

    public BasicBorders.SplitPaneBorder(java.awt.Color highlight,
                                        java.awt.Color shadow)

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    paintBorder in interface Border

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    getBorderInsets in interface Border

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    isBorderOpaque in interface Border

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.